summaryrefslogtreecommitdiffstats
path: root/src
diff options
context:
space:
mode:
authorPatrick McDermott <patrick.mcdermott@libiquity.com>2019-06-18 01:14:19 (EDT)
committer Patrick McDermott <patrick.mcdermott@libiquity.com>2019-06-18 01:14:19 (EDT)
commitc589ff445c5a959bb19fefc559fd9042dfb72c8e (patch)
tree7677be66e85bc719fe4bb7f2a038ab83049700c3 /src
parent5ab540bc36ef272b3d9096f204ebad61e6a5c51a (diff)
ob-buildopk, ob-unpacksource, tests: Use ${TAR}
Diffstat (limited to 'src')
-rw-r--r--src/ob-buildopk.sh6
-rw-r--r--src/ob-unpacksource.sh4
2 files changed, 5 insertions, 5 deletions
diff --git a/src/ob-buildopk.sh b/src/ob-buildopk.sh
index 859097a..57b3688 100644
--- a/src/ob-buildopk.sh
+++ b/src/ob-buildopk.sh
@@ -49,12 +49,12 @@ build_opk()
find "${binary}.control" "${binary}.data" | xargs chown -h 0:0
(cd -- "${binary}.control" && find '.' | LC_ALL=C sort | \
- tar -czf '../control.tar.gz' --no-recursion -T -)
+ ${TAR} -czf '../control.tar.gz' --no-recursion -T -)
(cd -- "${binary}.data" && find '.' | LC_ALL=C sort | \
- tar -czf '../data.tar.gz' --no-recursion -T -)
+ ${TAR} -czf '../data.tar.gz' --no-recursion -T -)
${TOUCH} -d "${date}" 'control.tar.gz' 'data.tar.gz'
- tar -czf "../../${binary}_${version}_${arch}_${plat}.opk" \
+ ${TAR} -czf "../../${binary}_${version}_${arch}_${plat}.opk" \
'debian-binary' 'control.tar.gz' 'data.tar.gz'
rm -Rf 'control.tar.gz' 'data.tar.gz'
diff --git a/src/ob-unpacksource.sh b/src/ob-unpacksource.sh
index fe53db9..59e1307 100644
--- a/src/ob-unpacksource.sh
+++ b/src/ob-unpacksource.sh
@@ -92,7 +92,7 @@ get_upstream_dir()
{
local dir_count=
- upstream_ar_dir="$(tar "-t${upstream_ar_z}f" "${upstream_ar}" | \
+ upstream_ar_dir="$(${TAR} "-t${upstream_ar_z}f" "${upstream_ar}" | \
sed -n 's|^\(\./\)\{0,1\}\([^/]\{1,\}\).*$|\2|p' | sort | uniq)"
dir_count="$(printf '%s\n' "${upstream_ar_dir}" | wc -l)"
case "${dir_count}" in
@@ -112,7 +112,7 @@ get_upstream_dir()
extract_upstream()
{
ob_info "$(ob_get_msg 'unpacking_upstream')"
- if ! tar "-x${upstream_ar_z}f" "${upstream_ar}"; then
+ if ! ${TAR} "-x${upstream_ar_z}f" "${upstream_ar}"; then
ob_error "$(ob_get_msg 'cant_unpack_upstream')"
return 1
fi